# tree_policy.hpp File Reference

## Detailed Description

Contains tree-related policies.

Definition in file tree_policy.hpp.

Go to the source code of this file.

## Namespaces

- namespace pb_ds

## Classes

- struct pb_ds::null_tree_node_update< Const_Node_Iterator, Node_Iterator, Cmp_Fn, Allocator >
- class pb_ds::tree_order_statistics_node_update< Const_Node_Iterator, Node_Iterator, Cmp_Fn, Allocator >

## Defines

- #define PB_DS_BASE_C_DEC
- #define PB_DS_CLASS_C_DEC
- #define PB_DS_CLASS_T_DEC